<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Welcome to Firebase Hosting</title>

    <script src="https://www.gstatic.com/firebasejs/5.2.0/firebase.js"></script>

    <style media="screen">
        body {
            background: #ECEFF1;
            color: rgba(0, 0, 0, 0.87);
            font-family: Roboto, Helvetica, Arial, sans-serif;
            margin: 0;
            padding: 0;
        }

        #message {
            background: white;
            max-width: 360px;
            margin: 100px auto 16px;
            padding: 32px 24px;
            border-radius: 3px;
        }

        #message h2 {
            color: #ffa100;
            font-weight: bold;
            font-size: 16px;
            margin: 0 0 8px;
        }

        #message h1 {
            font-size: 22px;
            font-weight: 300;
            color: rgba(0, 0, 0, 0.6);
            margin: 0 0 16px;
        }

        #message p {
            line-height: 140%;
            margin: 16px 0 24px;
            font-size: 14px;
        }

        #message a {
            display: block;
            text-align: center;
            background: #039be5;
            text-transform: uppercase;
            text-decoration: none;
            color: white;
            padding: 16px;
            border-radius: 4px;
        }

        #message, #message a {
            box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
        }

        #load {
            color: rgba(0, 0, 0, 0.4);
            text-align: center;
            font-size: 13px;
        }

        @media (max-width: 600px) {
            body, #message {
                margin-top: 0;
                background: white;
                box-shadow: none;
            }

            body {
                border-top: 16px solid #ffa100;
            }
        }
    </style>
</head>
<body>
<div id="message">
    <h2>Welcome</h2>
    <h1>Firebase Hosting Setup Complete</h1>
    <p>You're seeing this because you've successfully setup Firebase Hosting. Now it's time to go build something
        extraordinary!</p>
    <a target="_blank" href="https://firebase.google.com/docs/hosting/">Open Hosting Documentation</a>
</div>
<p id="load">Firebase SDK Loading&hellip;</p>

<script>
    document.addEventListener('DOMContentLoaded', function () {
        // Initialize Firebase
        const config = {
            apiKey: "AIzaSyCwSorbjzcBV6gLwHRG0mTK3ggJSEe_ngk",
            authDomain: "gettorah-6a95e.firebaseapp.com",
            databaseURL: "https://gettorah-6a95e.firebaseio.com",
            projectId: "gettorah-6a95e",
            storageBucket: "gettorah-6a95e.appspot.com",
            messagingSenderId: "171132179882"
        };
        firebase.initializeApp(config);

        const functions = firebase.functions();

        const addMessage = functions.httpsCallable('addMessage');
        addMessage({text: 'sss'}).then(function(result) {
            console.log(result)

        });
    });
</script>
</body>
</html>
